com.independentsoft.exchange

## Class SeekToConditionPageItemView

- java.lang.Object
- - com.independentsoft.exchange.View
  - - com.independentsoft.exchange.PageView
    - - com.independentsoft.exchange.SeekToConditionPageItemView

-     public class SeekToConditionPageItemView
      extends PageView

  Identifies the condition that is used to identify the end of a search, the starting index of a search, the maximum entries to return, and the search directions for a FindItem or a FindConversation operation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeekToConditionPageItemView()` Initializes a new instance of the SeekToConditionPageItemView class.
    `SeekToConditionPageItemView(Restriction restriction)` Initializes a new instance of the SeekToConditionPageItemView class.
    `SeekToConditionPageItemView(Restriction restriction, IndexBasePoint basePoint)` Initializes a new instance of the SeekToConditionPageItemView class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexBasePoint` | `getBasePoint()` Describes whether the page of items will start from the beginning or the end of the set of items that are found by using the search criteria.
    `Restriction` | `getRestriction()` Specifies the condition that is used to identify the end of a search.
    `void` | `setBasePoint(IndexBasePoint basePoint)` Describes whether the page of items will start from the beginning or the end of the set of items that are found by using the search criteria.
    `void` | `setRestriction(Restriction restriction)` Specifies the condition that is used to identify the end of a search.

    - ### Methods inherited from class com.independentsoft.exchange.View

      `getMaxEntriesReturned, setMaxEntriesReturned`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SeekToConditionPageItemView

          public SeekToConditionPageItemView()

      Initializes a new instance of the SeekToConditionPageItemView class.

    - #### SeekToConditionPageItemView

          public SeekToConditionPageItemView(Restriction restriction)

      Initializes a new instance of the SeekToConditionPageItemView class.
      Parameters:
        `restriction` - the restriction

    - #### SeekToConditionPageItemView

          public SeekToConditionPageItemView(Restriction restriction,
                                             IndexBasePoint basePoint)

      Initializes a new instance of the SeekToConditionPageItemView class.
      Parameters:
        `restriction` - the restriction
        `basePoint` - the base point

  - ### Method Detail

    - #### getRestriction

          public Restriction getRestriction()

      Specifies the condition that is used to identify the end of a search.
      Returns:
        the restriction

    - #### setRestriction

          public void setRestriction(Restriction restriction)

      Specifies the condition that is used to identify the end of a search.
      Parameters:
        `restriction` - the new restriction

    - #### getBasePoint

          public IndexBasePoint getBasePoint()

      Describes whether the page of items will start from the beginning or the end of the set of items that are found by using the search criteria.
      Returns:
        the base point

    - #### setBasePoint

          public void setBasePoint(IndexBasePoint basePoint)

      Describes whether the page of items will start from the beginning or the end of the set of items that are found by using the search criteria.
      Parameters:
        `basePoint` - the new base point